
Database {
    Provider MySql
    Host 127.0.0.1
    Name ntpa
    User ntpau
    Pass "password"
    Create Yes
}

Log {
    File ntpa.log
}

Reading {
    Name stat1
    Frequency 5
    TimeStamp UTC
}

Server {
    HostID 1
    HostAddress 127.0.0.1
    FilePath "C:/inetpub/ntpa/"
    
    HostStats {
        Frequency stat1
    }
    
    HostIoStats {
        Frequency stat1
    }
    
    PeerStats {
        Frequency stat1
    }
    
    Menu {
        
        Item title {
            Type Link
            Caption example.net
            Link http://example.net
        }
        
        Item main {
            Type Page
            Caption NTP
            Page ntp1
        }
        
        Item {
            Type Page
            Caption About
            Page about1
        }
    }
    
    AboutPage about1 {
        PageTitle "example.net"
        Link /about.html
        ContentTitle "ntp1.example.net"
        
        Content { 
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.
            Sed et risus vel leo interdum fringilla. Vestibulum ex justo,
            euismod ac conat tempor a massa. Donec elementum congue.</p>
        }
        
        Destinations {
            File about.html
        }
    }
    
    HostPage ntp1 {
        PageTitle "ntp1.example.net"
        Template Bootstrap
        PeerPages ntp1-peers
        Link /index.html
        
        Images {
            Title "Recent offset graphs"
            Graph offset1
            Graph offset3
        }
        
        Destinations {
            File index.html
        }
    }
    
    PeerPages ntp1-peers {
        PageTitle "ntp1.example.net"
        Template Bootstrap
        Link /peers/
        
        Images {
            Graph offset24
            Graph offset72
            Graph delay
        }
        
        Destinations {
            Directory peers/
        }
    }
    
    HostGraph offset1 {
        Frequency 15
        InitialRun Yes
        Title "ntp1.example.net (1 day)"
        Timespan 1
        Jitter 1
        Offset 1
        GFrequency 1
        
        Destinations {
            File ntp1.png
        }
        
        Links {
            Link ntp1.png
        }
    }
    
    HostGraph offset3 {
        Frequency 30
        InitialRun Yes
        Title "ntp1.example.net (3 days)"
        Timespan 3
        Jitter 1
        Offset 1
        GFrequency 1
        
        Destinations {
            File ntp3.png
        }
        
        Links {
            Link ntp3.png
        }
    }
    
    PeerGraphs offset24 {
        Frequency 15
        InitialRun Yes
        Title "24 hours offset"
        Timespan 1
        Offset 1
        
        Destinations {
            Prefix offset24-
            Directory /peers/
        }
        
        Links {
            Link peer1/offset24-
        }
    }
    
    PeerGraphs offset72 {
        Frequency 15
        InitialRun Yes
        Title "72 hours offset"
        Timespan 3
        Offset 1
        
        Destinations {
            Prefix offset72-
            Directory /peers/
        }
        
        Links {
            Link peers/offset72-
        }
    }
    
    PeerGraphs delay {
        Frequency 180
        InitialRun Yes
        Title "15 days delay"
        Timespan 15
        Offset 1
        Jitter 1
        Delay 1
        
        Destinations {
            Prefix delay-
            Directory /peers/
        }
        
        Links {
            Link peers/delay-
        }
    }
}
